#include <PocketFrog.h>
#include "font.h"
#include "resource.h"

#define GAME_NAME "Collision Test"


using namespace Frog;


// The Game
class Col_Test : public Game
{
private:
  bool bShutdown;
  Surface *asteroid, *ship;
  Point pt_asteroid, pt_ship;
  int dx_asteroid, dy_asteroid, dx_ship, dy_ship;
  Font m_Font;

public:
  Col_Test();
  ~Col_Test();
  void Update();

  virtual bool GameInit();
  virtual void GameLoop();
  virtual void GameEnd();
  virtual void ButtonDown(int);
  virtual void ButtonUp(int);
  virtual void StylusDown(Point);
  virtual void StylusMove(Point);
  virtual void StylusUp(Point);
};


bool Collision(Surface *s1, Point p1, Surface *s2, Point p2);
bool Collision(Surface *s1, int x1, int y1, Surface *s2, int x3, int y3);
void GetFrameRate();


extern Col_Test *pCol_Test;
extern DisplayDevice *pDisplay;
extern Rasterizer *pRaster;
extern Pixel cTransparent;
extern Surface *pScreen;
extern int fps, currentFrame, screenWidth, screenHeight;
